﻿// StringConstructor.cs
// Demonstrating string class constructors.
using System;

class StringConstructor
{
   public static void Main( string[] args )
   {
      // string initialization
      char[] characterArray = 
                  { 'b', 'i', 'r', 't', 'h', ' ', 'd', 'a', 'y' };
   
      string originalString = "Welcome to C# programming!";
      string string1 = originalString;
      string string2 = new string( characterArray );
      string string3 = new string( characterArray, 6, 3 );
      string string4 = new string( 'C', 5 );

      Console.WriteLine( "string1 = " + "\"" + string1 + "\"\n" +
                         "string2 = " + "\"" + string2 + "\"\n" +
                         "string3 = " + "\"" + string3 + "\"\n" +
                         "string4 = " + "\"" + string4 + "\"\n" );
   } // end Main
} // end class StringConstructor
